/* [/図書館@SPH/css/category/info_entry.css]とスタイルはほぼ同じ定義 */

.news-entry {
  padding: 0 160px;
}

.news-entry-wrapper {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 40px;
  align-self: stretch;
  margin-top: 100px;
  margin-bottom: 64px;
}

.news-back-btn {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: var(--sky-blue);
  color: #fff !important;
  text-decoration: none;
  padding: 16px 40px;
  border-radius: 40px;
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
  letter-spacing: 0.64px;
  transition: all 0.3s ease;
  width: 220px;
}

/* =============================================================================
  news-entry-1
============================================================================= */

.news-entry-1 {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 24px;
  align-self: stretch;
}

.news-entry-1-wrapper {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
  align-self: stretch;
}

.news-entry-1-title {
  display: flex;
  padding: 0 8px 16px 8px;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
  align-self: stretch;
  border-bottom: 1px solid var(--sky-blue);
}

.news-entry-1-title-text {
  font-size: 24px;
  line-height: 24px;
  /* 100% */
  letter-spacing: 0.96px;
}

.news-entry-1-date {
  display: flex;
  padding: 0 8px;
  justify-content: flex-end;
  align-items: flex-start;
  gap: 8px;
  align-self: stretch;
}

.news-entry-1-date-text {
  color: #A7A7A7;
  font-size: 14px;
  line-height: 24px;
  /* 171.429% */
  letter-spacing: 0.56px;
}

.news-entry-1-content-text {
  font-size: 14px;
  line-height: 24px;
  /* 171.429% */
  letter-spacing: 0.56px;
  align-self: stretch;
}

/* =============================================================================
   news-entry-2
============================================================================= */

.news-entry-2 {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 24px;
  align-self: stretch;
}

/* =============================================================================
   news-entry-3
============================================================================= */

.news-entry-3 {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 32px;
  align-self: stretch;
}

.news-entry-3-wrapper-lateral {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  align-items: flex-start;
  gap: 32px;
  align-self: stretch;
}

.news-entry-3-wrapper-vertical {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 32px;
  align-self: stretch;
}

.news-entry-3-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 8px;
  flex: 1 0 0;
}

.news-entry-3-img {
  max-width: 100%;
  height: auto;
}

.news-entry-3-img-caption {
  font-size: 12px;
  line-height: 18px;
  letter-spacing: 0.48px;
}

/* =============================================================================
   @media：PC(小)
============================================================================= */

@media (max-width: 1279px) {
  .news-entry {
    padding: 0 64px;
  }

  /* news-entry-3 */
  .news-entry-3-wrapper-lateral {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* =============================================================================
   @media：TB
============================================================================= */

@media (max-width: 1023px) {
  .news-entry {
    padding: 0 64px;
  }
}

/* =============================================================================
   @media：SP
============================================================================= */

@media (max-width: 767px) {
  .news-entry {
    padding: 0 24px;
  }

  .news-entry-wrapper {
    margin-top: 64px;
    margin-bottom: 40px;
  }

  /* news-entry-1 */
  .news-entry-1-wrapper {
    align-items: flex-end;
  }

  .news-entry-1-title {
    padding: 8px;
    flex: 1 0 0;
    border-bottom: 1px solid var(--sky-blue);
  }

  .news-entry-1-title-text {
    font-size: 12px;
    line-height: 20px;
    letter-spacing: 0.48px;
  }

  .news-entry-1-date {
    justify-content: center;
    align-items: center;
    gap: 10px;
    align-self: initial;
  }

  .news-entry-1-date-text {
    font-size: 12px;
    line-height: 20px;
    letter-spacing: 0.48px;
  }

  /* news-entry-3 */
  .news-entry-3-wrapper-lateral {
    grid-template-columns: 1fr;
    gap: 24px;
  }
}

@media print {
  .news-entry-wrapper {
    margin-top: 180px;
  }
}